Bug 1747648 - Review Request: nohang - Highly configurable OOM prevention daemon
Summary: Review Request: nohang - Highly configurable OOM prevention daemon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-31 12:58 UTC by Artem
Modified: 2019-10-04 20:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-28 00:02:34 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-08-31 12:58:07 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/nohang/fedora-30-x86_64/01026314-nohang/nohang.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/nohang/fedora-30-x86_64/01026314-nohang/nohang-0.1-2.20190831git49d6eb4.fc30.src.rpm

Description:
Nohang is a highly configurable daemon for Linux which is able to correctly
prevent out of memory (OOM) and keep system responsiveness in low memory
conditions.

Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/nohang

Comment 7 Robert-André Mauchin 🐧 2019-09-19 17:30:30 UTC
 - Config files should probably marked as %config(noreplace):

%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf


Package approved. Please fix the aforementioned issue before import.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 17 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/nohang/review-nohang/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in nohang
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nohang-0.1-10.20190910gite442e41.fc32.noarch.rpm
          nohang-desktop-0.1-10.20190910gite442e41.fc32.noarch.rpm
          nohang-0.1-10.20190910gite442e41.fc32.src.rpm
nohang.noarch: W: non-conffile-in-etc /etc/logrotate.d/nohang
nohang.noarch: W: non-conffile-in-etc /etc/nohang/nohang.conf
nohang.noarch: W: non-conffile-in-etc /etc/nohang/nohang.conf.default
nohang.noarch: W: non-conffile-in-etc /etc/nohang/version
nohang.noarch: W: no-manual-page-for-binary nohang_notify_helper
nohang.noarch: W: no-manual-page-for-binary psi-monitor
nohang.noarch: W: no-manual-page-for-binary psi-top
nohang-desktop.noarch: E: explicit-lib-dependency libnotify
nohang-desktop.noarch: W: no-documentation
nohang-desktop.noarch: W: non-conffile-in-etc /etc/nohang/nohang-desktop.conf
3 packages and 0 specfiles checked; 1 errors, 9 warnings.

Comment 9 Gwyn Ciesla 2019-09-19 18:32:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nohang

Comment 10 Fedora Update System 2019-09-19 19:04:29 UTC
FEDORA-2019-8bd1cbe504 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bd1cbe504

Comment 11 Fedora Update System 2019-09-19 19:09:03 UTC
FEDORA-2019-36acfe6314 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-36acfe6314

Comment 12 Fedora Update System 2019-09-19 19:12:33 UTC
FEDORA-EPEL-2019-68e3fe0376 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-68e3fe0376

Comment 13 Fedora Update System 2019-09-20 00:46:12 UTC
nohang-0.1-14.20190919git286ed84.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-68e3fe0376

Comment 14 Fedora Update System 2019-09-20 01:57:09 UTC
nohang-0.1-14.20190919git286ed84.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-36acfe6314

Comment 15 Fedora Update System 2019-09-20 02:57:09 UTC
nohang-0.1-14.20190919git286ed84.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bd1cbe504

Comment 16 Fedora Update System 2019-09-28 00:02:34 UTC
nohang-0.1-14.20190919git286ed84.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-28 03:39:15 UTC
nohang-0.1-14.20190919git286ed84.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-10-04 20:28:49 UTC
nohang-0.1-14.20190919git286ed84.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.